<template>
  <div style="min-height: 80vh">
    <!-- messages de validation -->
    <div v-html="messageClient" class="alert alert-warning" role="alert" v-if="messageClient">
      {{ messageClient }}
    </div>

    <!-- Formulaire d'envoi de messages -->
    <b-button v-b-toggle.collapse-1 variant="primary" @click="activForm()">Laisser un avis</b-button>

    <b-collapse id="collapse-1" class="my-5">
      <div class="panel-comment overflow-hidden my-0">
        <div class="container-form-sm">
          <!-- <form v-if="!formSubmitedIsOK && showForm"> -->
          <form v-if="!formSubmitedIsOK">
            {{ globalError }}
            <div :class="champ.groupClass" v-for="champ in formLivre" :key="champ.index">
              <label v-if="champ.type !== 'checkbox'" :for="champ.id" :class="champ.labelClass">{{ champ.libelle }}<span v-if="champ.required"> *</span></label> <span v-if="champ.error != ''">{{ champ.error }}</span>
              <input v-if="champ.type !== 'textarea'" :type="champ.type" :ref="champ.id" :class="champ.inputClass" :id="champ.id" :placeholder="champ.placeHolder" v-model="champ.value" />
              <label v-if="champ.type == 'checkbox'" :for="champ.id" :class="champ.labelClass">{{ champ.libelle }}<span v-if="champ.required"> *</span></label> <span v-if="champ.error != ''">{{ champ.error }}</span>
              <textarea v-if="champ.type == 'textarea'" :class="champ.inputClass" :type="champ.type" rows="3" v-model="champ.value"></textarea>
            </div>
            <br />
            <button type="button" class="btn btn-success" @click="submitForm()">Envoyer</button>
          </form>
        </div>
      </div>
    </b-collapse>

    <!-- Liste des messages -->
    <div v-for="message in listeData" :key="message.id">
      <strong>Auteur : </strong>{{ message.titre2 }}
      <span v-if="message.switch2">{{ message.titre1 }}</span>
      <div><strong>Message : </strong>{{ message.description1 }}</div>
      <hr />
    </div>
  </div>
</template>
<script src="./functions.js"></script>
